package cn.estsh.i3plus.ext.mes.pcn.apiservice.dao.ep;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep.EpEquipmentModel;
import cn.estsh.i3plus.ext.mes.pcn.pojo.model.ep.EpOrderJobModel;

import java.util.List;

public interface IEpOrderJobDao {
    /**
     * 按条件查找创建、点检中的单据作业
     * @param orderJob
     * @return
     */
    List<EpOrderJobModel> queryMesOrderJob(EpOrderJobModel orderJob);

    List<EpOrderJobModel> queryMesOrderJobNoMemo(EpOrderJobModel orderJob);

    EpEquipmentModel queryEpEquipmentCheckDetail(String organizeCode,String orderNo);
}
